<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="all">
    <class entity-name="censusMasterSegment" table="CENSUS_MASTER_SEGMENT" lazy="false" name="gov.va.med.cds.template.generated.surveys.CensusMasterSegment" >
        <id type="java.lang.Long" name="id">
            <column name="CENSUS_SEGMENT_ID"/>
            <generator class="sequence" >
				<param name="sequence">census_mstr_segment_seq_id</param>
			</generator>
        </id>
        
		<property name="currentSegment" column="SEGMENT_NO" type="java.lang.Integer" />
		<property name="censusMasterID" column="CENSUS_MASTER_ID" type="java.lang.Long" />
		<property name="processStatus" column="PROCESS_STATUS" type="string" />
				
	</class>
     
</hibernate-mapping>
